/*
  wrapper class for a toolkit signal mechanism
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */



#ifndef __NOTIFYMAINTHREADCLIENT_H
#define __NOTIFYMAINTHREADCLIENT_H

/**
  This class is the client sidew of the thread safe notify mechanism.
  The methods are only entered by the gui/main thread

*/

class NotifyMainThreadClient {

 public:
  NotifyMainThreadClient();
  virtual ~NotifyMainThreadClient();

  virtual void processNotify(char msgId);

};
#endif
